{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare subroutine rlist, forward_event\r\ndeclare function entid, repository\r\n$insert rlist_equates\r\n\r\nrlist( 'SELECT COMPANY WITH CO_TYPE = \"C\" BY CO_NAME', target_activelist$, '', '', '' )\r\nif @reccount then\r\n   PopId = entid( @appid<1>, 'POPUP', '', 'COMPANY' )\r\n   Choosen = repository( 'EXECUTE', PopId, @window, '' )\r\n   CurArray = .customer_info->array\r\n   CurRow = .customer_info->selpos<2>\r\n   CurArray = delete( CurArray, 1, CurRow, 0 )\r\n   CurArray = delete( CurArray, 2, CurRow, 0 )\r\n   CurArray = insert( CurArray, 1, CurRow, 0, Choosen )\r\n   CurArray = insert( CurArray, 2, CurRow, 0, oconv( Choosen, '[XLATE_CONV,COMPANY*CO_NAME]') )\r\n   .customer_info->Array = CurArray\r\nend\r\nreturn 0"
        }
    }
}